﻿using System;
using System.Linq;
using NHibernate;
using NHibernate.Transform;

namespace FluentNHibernateStoredProc2
{
    class Program
    {
        static void Main(string[] args)
        {
            using (ISession db = MSSQLSessionFactory.OpenSession())
            {
                var personNameList =
                  db.CreateSQLQuery("exec ReadPersonNames")
                    .SetResultTransformer(Transformers.AliasToBean<PersonNameRecord>())
                    .List<PersonNameRecord>()
                    .ToList();

                foreach (var item in personNameList)
                {
                    Console.WriteLine(item.first.Trim() + " " + item.last.Trim());
                }

                Console.ReadKey();
            }
        }
    }
}
